cppcms::views::manager Class Reference

This class controls the views used my application it knows to load them dynamically and reload if needed. More...

`#include <cppcms/views_pool.h>`

Inheritance diagram for cppcms::views::manager:

## Public Member Functions

| manager (json::value const &settings)
void | render (std::string const &skin, std::string const &template_name, std::ostream &out, base_content &content)
std::string | default_skin ()

## Detailed Description

This class controls the views used my application it knows to load them dynamically and reload if needed.

## Constructor & Destructor Documentation

cppcms::views::manager::manager | ( | json::value const & | settings | ) |

Create new views manager

Usually created by cppcms::service()

## Member Function Documentation

std::string cppcms::views::manager::default_skin | ( |  | ) |

Get default skin

void cppcms::views::manager::render | ( | std::string const & | skin,
|  | std::string const & | template_name,
|  | std::ostream & | out,
|  | base_content & | content
| ) |  |

Render a template in a skin. Checks if any of shared objects/dlls should be reloaded

The documentation for this class was generated from the following file:

- cppcms/views_pool.h